Bug 1114416 (CVE-2014-3533) - CVE-2014-3533 dbus: denial of service when forwarding invalid file descriptors
Summary: CVE-2014-3533 dbus: denial of service when forwarding invalid file descriptors
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-3533
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1115636 1115637 1115638
Blocks: 1114417
TreeView+ depends on / blocked
 
Reported: 2014-06-30 03:35 UTC by Murray McAllister
Modified: 2019-09-29 13:19 UTC (History)
6 users (show)

Fixed In Version: dbus 1.6.22, dbus 1.8.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-24 09:37:24 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-06-30 03:35:30 UTC
A flaw was reported in D-Bus's file descriptor passing feature. A local attacker could use this flaw to cause an invalid file descriptor to be forwarded to a service or application, causing it to disconnect from the bus, typically resulting in that service or application exiting.

It is reported that versions 1.3.0 and newer are affected.

Acknowledgements:

Red Hat would like to thank D-Bus upstream for reporting this issue.

Comment 2 Vincent Danen 2014-07-02 19:41:45 UTC
This is now public:

http://openwall.com/lists/oss-security/2014/07/02/4

Comment 3 Vincent Danen 2014-07-02 19:45:36 UTC
Created dbus tracking bugs for this issue:

Affects: fedora-all [bug 1115636]

Comment 4 Vincent Danen 2014-07-02 19:45:38 UTC
Created mingw-dbus tracking bugs for this issue:

Affects: fedora-all [bug 1115637]
Affects: epel-7 [bug 1115638]

Comment 5 Fedora Update System 2014-07-08 01:04:34 UTC
dbus-1.6.12-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.